package com.ruoyi.interfaces.mapper;


import com.ruoyi.interfaces.domain.SysSearch;

import java.util.List;

public interface SysSearchMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysSearch record);

    int insertSelective(SysSearch record);

    SysSearch selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysSearch record);

    int updateByPrimaryKeyWithBLOBs(SysSearch record);

    int updateByPrimaryKey(SysSearch record);

    List<SysSearch> selectAll(SysSearch record);

    int updateFlag(SysSearch sysSearch);
}
